{
  "name": "@worldweaver/math",
  "publishConfig": {
    "@worldweaver:registry": "https://gitlab.com/api/v4/projects/32118960/packages/npm/"
  },
  "repository": {
    "url": "https://gitlab.com/worldweaver/modules/math",
    "type": "git"
  },
  "main": "dist/index.js",
  "types": "dist/types/index.d.ts",
  "files": [
    "dist/**"
  ],
  "scripts": {
    "lint": "eslint src/**/*.ts",
    "fixLint": "eslint src/**/*.ts --fix",
    "tsc": "tsc --build ./.tsconfig/build.json",
    "types": "tsc --build ./.tsconfig/types.json",
    "test": "mocha unittests -r unittests/hookJsdom.js --recursive",
    "coverage": "nyc npm run-script test",
    "webpack": "webpack",
    "run": "serve"
  },
  "dependencies": {
    "inversify": "^6.0.1",
    "pixi.js": "^6.2.0",
    "reflect-metadata": "^0.1.13"
  },
  "devDependencies": {
    "@types/assert": "^1.5.6",
    "@types/jsdom": "^16.2.13",
    "@types/mocha": "^9.0.0",
    "@typescript-eslint/eslint-plugin": "^5.3.1",
    "@typescript-eslint/parser": "^5.3.1",
    "canvas": "^2.8.0",
    "eslint": "^8.2.0",
    "jsdom": "^19.0.0",
    "mocha": "^9.1.3",
    "mocha-junit-reporter": "^2.0.2",
    "npm-run-all": "^4.1.5",
    "nyc": "^15.1.0",
    "serve": "^13.0.2",
    "typescript": "^4.5.2",
    "webpack": "^5.28.0",
    "webpack-cli": "^4.6.0"
  }
}
